<template>
  <div>
    <h2 class="mb-2">データ入力</h2>
    <v-divider  class="mb-2" />
    <!-- カブ価 -->
    <div class="mb-4">
      <div class="d-flex justify-space-between">
        <div>
          <h3 class="mb-2">カブ価・保有カブ数</h3>
        </div>
        <div>
          <v-btn color="red" small @click="reset">
            <v-icon class="mr-2">mdi-delete</v-icon>
            <span>RESET</span>
          </v-btn>
        </div>
      </div>
      <v-simple-table>
        <!-- Table header -->
        <thead>
          <tr>
            <th></th>
            <th>AM</th>
            <th>PM</th>
          </tr>
        </thead>
        <!-- Table body -->
        <tbody>
          <!-- SUN -->
          <tr>
            <th>SUN</th>
            <td colspan="2">
              <stock-input week="sun" caption="SUN" />
            </td>
          </tr>
          <!-- MON-SAT -->
          <tr v-for="(weekValue, weekKey) in weeks" :key="weekKey">
            <th>{{ weekValue }}</th>
            <td>
              <stock-input :week="weekKey" ampm="am" :caption="weekValue+'/AM'" />
            </td>
            <td>
              <stock-input :week="weekKey" ampm="pm" :caption="weekValue+'/PM'" />
            </td>
          </tr>
        </tbody>
      </v-simple-table>
    </div>
    <v-divider class="mb-2" />
    <!-- 島名 -->
    <div>
      <h3 class="mb-2">島名</h3>
      <name-input />
    </div>
  </div>
</template>

<script>
import NameInput from '~/components/NameInput.vue'
import StockInput from '~/components/StockInput.vue'

export default {
  components: {
    NameInput,
    StockInput
  },
  data () {
    return {
      // 曜日のリスト
      weeks: {
        mon: 'MON',
        tue: 'TUE',
        wed: 'WED',
        thu: 'THU',
        fri: 'FRI',
        sat: 'SAT'
      }
    }
  },
  methods: {
    /**
     * すべてのカブ価および保有株数を初期値に戻す
     */
    reset () {
      this.$store.dispatch('stock/resetPrices')
      this.$store.dispatch('stock/resetAmount')
    }
  }
}
</script>

<style scoped>
th, td {
  text-align: center !important;
}
</style>
